METASOURCES = AUTO

AM_CPPFLAGS = $(KOPETE_INCLUDES) $(all_includes) $(LIBXML_CFLAGS) $(LIBXSLT_CFLAGS)

kde_module_LTLIBRARIES = kopete_webpresence.la kcm_kopete_webpresence.la

kopete_webpresence_la_SOURCES     = webpresenceplugin.cpp

kopete_webpresence_la_LDFLAGS     = -module  -no-undefined $(KDE_PLUGIN) $(all_libraries) $(LIB_QT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor
kopete_webpresence_la_LIBADD      = ../../libkopete/libkopete.la $(LIBXML_LIBS) $(LIBXSLT_LIBS)

kcm_kopete_webpresence_la_SOURCES = webpresencepreferences.cpp webpresenceprefs.ui
kcm_kopete_webpresence_la_LDFLAGS = -module -no-undefined $(KDE_PLUGIN) $(all_libraries) $(LIB_QT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor
kcm_kopete_webpresence_la_LIBADD  = ../../libkopete/libkopete.la  $(LIB_TDEUTILS)

service_DATA = kopete_webpresence.desktop
servicedir = $(kde_servicesdir)

kcm_DATA = kopete_webpresence_config.desktop
kcmdir = $(kde_servicesdir)/tdeconfiguredialog

mydata_DATA = webpresence_html.xsl\
	      webpresence_html_images.xsl\
	      webpresence_xhtml.xsl\
	      webpresence_xhtml_images.xsl
mydatadir = $(kde_datadir)/kopete/webpresence
EXTRA_DIST = $(mydata_DATA)
